Status: Resolved Priority: Must have
Author: Karsten Dambekalns Category: Persistence
Created: 2012-01-11 Assigned To: Karsten Dambekalns
Updated: 2012-01-18 Due date:
PHP Version:
Has patch: No
Complexity:
Affected Flow version: FLOW3 1.0.2
Subject: Behavior of QueryResult for Doctrine and Generic differs
Description

One example is offsetGet() - Generic returns NULL if the key doesn't exist, Doctrine crashes. This needs to be checked and fixed in
the QueryResult for Doctrine.

Associated revisions
Revision 9c421d64 - 2012-01-12 11:28 - Karsten Dambekalns

[BUGFIX] Make QueryResult::offsetGet() behavior consistent

offsetGet() on QueryResult for Doctrine persistence now checks if
the offset exists and returns NULL if not, instead of running into
an error.

Change-Id: I8de0d1f1a9922b4e1a977cab16aa41af0e3a8307
Fixes: #33106
Releases: 1.1

History
#1 - 2012-01-11 10:27 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7734

#2 - 2012-01-11 17:11 - Karsten Dambekalns
- Target version changed from 1.0.3 to 1.1

#3 - 2012-01-12 11:40 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7734

#4 - 2012-01-18 03:26 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100
Applied in changeset commit:9c421d6401df8d0e45ede739041507d38f9d2fe4.
